#include "partition.h"
#include "bits/stdc++.h"

#define pii pair<int, int>
#define pb push_back
#define ar array
#define ll long long

const ll inf = 1e18 + 7;

using namespace std;

vector<int> solve(vector<int> a) {
    int n = a.size();

    vector<int> ret;

    for (int i = 0; i < n / 2 - 1; i++) {
        ret.pb(i);
    }

    ret.pb(n - 1);

    for (int i = n / 2 - 1; i < n - 1; i++) {
        ret.pb(i);
    }

    return ret;
}


